All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
local_mem.hpp File Reference

A local (shared) memory object for OpenCL. More...

`#include "viennacl/forwards.h"`

Go to the source code of this file.

## Classes

class | viennacl::ocl::local_mem
| A class representing local (shared) OpenCL memory. Typically used as kernel argument. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::ocl
| OpenCL backend. Manages platforms, contexts, buffers, kernels, etc.

## Detailed Description

A local (shared) memory object for OpenCL.

Definition in file local_mem.hpp.